## qscintilla2 2.10.4.1+dfsg+re2

=== debian/changelog ===
qscintilla2 (2.10.4.1+dfsg+re2-1+eagle) unstable; urgency=medium

  * update

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Wed, 27 Jan 2021 14:34:43 +0800
