## qscintilla2 2.11.2%2Bdfsg

=== debian/changelog ===
qscintilla2 (2.11.2+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Make pyqt5.qsci-dev depend on python3-sip-dev instead of python-sip-dev
    (closes: #938318).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 12 Mar 2020 00:01:30 +0300

qscintilla2 (2.11.2+dfsg-5) unstable; urgency=medium

  * Team upload.

  [ Dmitry Shachnev ]
  * Update debian/libqscintilla2-qt5-15.symbols more carefully, to fix
    build failure on mips64el.

  [ Scott Kitterman ]
  * Update autopkgtest for deletion of Python 2 and Qt4 packages

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 19 Nov 2019 08:31:13 +0300

qscintilla2 (2.11.2+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 14 Nov 2019 13:45:56 -0300

qscintilla2 (2.11.2+dfsg-3) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update symbols files with buildds' logs.

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sat, 02 Nov 2019 09:13:04 +0100

qscintilla2 (2.11.2+dfsg-2) experimental; urgency=medium

  * Team upload.
  * Fix Lintian warnings about debian/copyright.
  * Update debian/libqscintilla2-qt5-15.symbols using pkgkde-symbolshelper.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 02 Oct 2019 17:18:28 +0300

qscintilla2 (2.11.2+dfsg-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces.

  [ Gudjon I. Gudjonsson ]
  * Update watch file, thanks to Dmitry Shachnev (Closes: #926204)
  * New upstream release
  * Refresh all patches
  * Add patch Add-import-QUrl, fixes compilation
  * Make two missing directories from rules file
  * Bump standards version to 4.4.0.1
  * Remove all -dbg files. They are autogenerated
  * Bump ABI version from -13 to -15
  * Rename -13 files to -15 in debian/
  * Remove -dbg strip arguments in rules
  * Bump SONAME in rules file to 15
  * Copy sip files to qsci packages
  * Add Build-Depends-Package to symbols files
  * Remove +dfsg from symbols files
  * Create new symbols files
  * Remove python2 and Qt4 packages (Closes: #938318, #875144).

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Switch debian/copyright to use copyright format 1.0
    - Remove minified version of jquery.js.

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sat, 28 Sep 2019 11:16:33 +0200
