=== debian/tests/control ===
Tests: python
Depends: python3-pyqt5.qsci,
         python3-all
