## qscintilla2 2.11.2+dfsg

=== debian/control ===
Source: qscintilla2
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Torsten Marek <shlomme@debian.org>,
           Gudjon I. Gudjonsson <gudjon@gudjon.org>
Build-Depends: debhelper (>= 12),
               dh-python,
               pkg-kde-tools,
               pyqt5-dev,
               python3-all-dbg,
               python3-all-dev (>= 3.1.3-13~),
               python3-pyqt5 (>= 5.3.2+dfsg-2~),
               python3-pyqt5-dbg,
               python3-sip-dbg,
               python3-sip-dev (>= 4.19),
               qtbase5-dev,
               qttools5-dev
Standards-Version: 4.4.0.1
Section: libs
Homepage: http://www.riverbankcomputing.co.uk/software/qscintilla
Vcs-Git: https://salsa.debian.org/python-team/modules/qscintilla2.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/qscintilla2

Package: libqscintilla2-qt5-15
Architecture: any
Depends: libqscintilla2-qt5-l10n (>= ${source:Upstream-Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: libqscintilla2-doc
Description: Qt5 port of the Scintilla source code editing widget
 QScintilla is a text editor for Qt5 with features especially useful when
 writing and debugging source code. These include support for syntax
 styling, error indicators, code completion, call tips and margins.
 .
 Styling choices are more open than with many editors, allowing the use
 of proportional fonts, bold and italics, multiple foreground and background
 colours and multiple fonts.

Package: libqscintilla2-qt5-l10n
Section: localization
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: libqscintilla2-qt5-15
Replaces: libqt5scintilla2-l10n (<< 2.10)
Breaks: libqt5scintilla2-l10n (<< 2.10)
Description: Scintilla source code editing widget for Qt5, translation files
 QScintilla is a text editor for Qt5 with features especially useful when
 writing and debugging source code. These include support for syntax
 styling, error indicators, code completion, call tips and margins.
 .
 This package contains translations for libqscintilla2.

Package: libqscintilla2-qt5-designer
Section: misc
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libqt5scintilla2-designer (<< 2.10)
Breaks: libqt5scintilla2-designer (<< 2.10)
Suggests: libqscintilla2-doc
Enhances: qt-designer
Description: Qt5 Designer plugin for QScintilla 2
 QScintilla is a text editor for Qt5 with features especially useful when
 writing and debugging source code. These include support for syntax
 styling, error indicators, code completion, call tips and margins.
 .
 This package contains a plugin to use the QScintilla 2 widget in the
 Qt5 UI Designer.

Package: libqt5scintilla2-designer
Section: oldlibs
Architecture: all
Depends: libqscintilla2-qt5-designer, ${misc:Depends}
Enhances: qt-designer
Description: Qt5 Designer plugin for QScintilla 2 (Transitional package)
 QScintilla is a text editor for Qt5 with features especially useful when
 writing and debugging source code. These include support for syntax
 styling, error indicators, code completion, call tips and margins.
 .
 This package contains a plugin to use the QScintilla 2 widget in the
 Qt5 UI Designer.
 .
 This is a dummy transitional package provided to support upgrades.

Package: libqscintilla2-qt5-dev
Section: libdevel
Architecture: any
Depends: libqscintilla2-qt5-15 (<< ${source:Upstream-Version}+1~),
         libqscintilla2-qt5-15 (>= ${source:Upstream-Version}),
         qtbase5-dev,
         ${misc:Depends}
Provides: libqt5scintilla2-dev
Breaks: libqt5scintilla2-12v5 (<< 2.9.1+dfsg-3~), libqt5scintilla-dev (<< 2.10)
Replaces: libqt5scintilla2-12v5 (<< 2.9.1+dfsg-3~), lilbqt5scintilla-dev (<< 2.10)
Description: Scintilla source code editing widget for Qt5, development files
 QScintilla is a text editor for Qt5 with features especially useful when
 writing and debugging source code. These include support for syntax
 styling, error indicators, code completion, call tips and margins.
 .
 This package contains development headers needed when developing
 C++ applications that use QScintilla 2 and Qt 5.

Package: libqscintilla2-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: libjs-jquery, ${misc:Depends}
Description: API documentation for QScintilla 2
 QScintilla is a text editor for Qt5 with features especially useful
 when writing and debugging source code. These include support for syntax
 styling, error indicators, code completion, call tips and margins.
 .
 This package contains API documentation and usage examples for QScintilla 2.

Package: python3-pyqt5.qsci
Section: python
Architecture: any
Depends: python3-pyqt5,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         ${sip3:Depends}
Description: Python 3 bindings for QScintilla 2 with Qt 5
 QScintilla is a text editor for Qt5 with features especially useful when
 writing and debugging source code. These include support for syntax
 styling, error indicators, code completion, call tips and margins.
 .
 This package contains Python 3 bindings so QScintilla 2 can be used in
 PyQt5 applications.

Package: pyqt5.qsci-dev
Architecture: all
Depends: pyqt5-dev, python3-sip-dev, ${misc:Depends}
Description: Development files for Python Qscintilla2 (Qt5)
 This package contains the source SIP files from which the Python bindings for
 Qscintilla2 (Qt5) are created. They are needed for building PyQt5 bindindgs
 for Qscintilla2 as well as creating bindings for own widgets written in C++.
