=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
https://www.riverbankcomputing.com/software/qscintilla/download \
 /static/Downloads/QScintilla/[\d.]+/QScintilla_gpl-([\d.]+)\.tar\.gz
