## qscintilla2 2.11.6+dfsg

=== debian/changelog ===
qscintilla2 (2.11.6+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Build-depend on sip-tools instead of sip5-tools, in preparation for
    SIP v6.
  * Update debian/libqscintilla2-qt5-15.symbols from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 26 Jan 2021 20:22:23 +0300

qscintilla2 (2.11.6+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Dmitry Shachnev ]
  * Mark the autopkgtest as superficial (closes: #971501).
  * New upstream release.
  * Update debian/libqscintilla2-qt5-15.symbols from buildds’ logs.
  * Bump python3-pyqtbuild required version to 1.6.
  * Drop 0011-Updated-the-copyright-notices-on-the-example.patch,
    included in the new release.
  * Refresh 0003-fix-lib-install-dir.diff.patch.
  * Bump Standards-Version to 4.5.1, no changes needed.
  * Drop libqt5scintilla2-designer transitional package.

  [ Matthias Klose ]
  * Mark some symbols as optional to fix build on ppc64el and s390x.

  [ Debian Janitor ]
  * Fix day-of-week for changelog entry 2.6.2-3.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 01 Dec 2020 21:27:07 +0300

qscintilla2 (2.11.5+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 24 Sep 2020 16:29:36 +0300

qscintilla2 (2.11.5+dfsg-2) experimental; urgency=medium

  * Restore python3-pyqt5.qsci-dbg package. It contains the extension for
    Python debug interpreter, which cannot be replaced with automatic
    -dbgsym package.
  * Update debian/libqscintilla2-qt5-15.symbols from buildds’ logs.
  * Update debian/copyright.
  * Regenerate the Doxygen documentation during indep builds.
  * Update examples to the version from latest upstream snapshot, where
    the license has been clarified.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 02 Jul 2020 12:43:07 +0300

qscintilla2 (2.11.5+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches for the new release.
  * Properly pass build flags to qmake.
  * Stop installing deleted README, install Python/README instead.
  * Update debian/libqscintilla2-qt5-15.symbols.
    - Mark some symbols as optional for GCC 10 (closes: #957725).
  * Switch from sip4 to sip5.
  * Drop patches for configure.py, we are no longer using it.
  * Update to debhelper compat level 13.
  * Use dh sequencer.
  * Further simplify debian/rules by including dpkg's default.mk.
  * Override missing-depends-on-python error for pyqt5.qsci-dev.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 23 Jun 2020 16:13:10 +0300

qscintilla2 (2.11.2+dfsg-7) unstable; urgency=medium

  * Team upload.
  * Update debian/watch to find latest releases properly.
  * Add upstream patch to fix the Python signatures of the QsciAbstractAPIs
    and QsciAPIs constructors (closes: #963300).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 23 Jun 2020 12:55:57 +0300
