=== debian/control ===
--- 
+++ 
@@ -1,25 +1,27 @@
 Source: qscintilla2
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Torsten Marek <shlomme@debian.org>,
            Gudjon I. Gudjonsson <gudjon@gudjon.org>
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                pkg-kde-tools,
-               pyqt5-dev,
+               pyqt5-dev (>= 5.15.0+dfsg-1+exp1~),
                python3-all-dbg,
                python3-all-dev (>= 3.1.3-13~),
-               python3-pyqt5 (>= 5.3.2+dfsg-2~),
-               python3-pyqt5-dbg,
-               python3-sip-dbg,
-               python3-sip-dev (>= 4.19),
+               python3-pyqt5 (>= 5.15.0+dfsg-1+exp1~),
+               python3-pyqt5-dbg (>= 5.15.0+dfsg-1+exp1~),
+               python3-pyqtbuild (>= 1.6),
+               python3-sipbuild-dbg (>= 5.3),
                qtbase5-dev,
-               qttools5-dev
-Standards-Version: 4.4.0.1
+               qttools5-dev,
+               sip-tools (>= 5.3.0+dfsg-2~)
+Build-Depends-Indep: doxygen
+Standards-Version: 4.5.1
 Section: libs
 Homepage: http://www.riverbankcomputing.co.uk/software/qscintilla
-Vcs-Git: https://salsa.debian.org/python-team/modules/qscintilla2.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/qscintilla2
+Vcs-Git: https://salsa.debian.org/python-team/packages/qscintilla2.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/qscintilla2
 
 Package: libqscintilla2-qt5-15
 Architecture: any
@@ -68,21 +70,6 @@
  This package contains a plugin to use the QScintilla 2 widget in the
  Qt5 UI Designer.
 
-Package: libqt5scintilla2-designer
-Section: oldlibs
-Architecture: all
-Depends: libqscintilla2-qt5-designer, ${misc:Depends}
-Enhances: qt-designer
-Description: Qt5 Designer plugin for QScintilla 2 (Transitional package)
- QScintilla is a text editor for Qt5 with features especially useful when
- writing and debugging source code. These include support for syntax
- styling, error indicators, code completion, call tips and margins.
- .
- This package contains a plugin to use the QScintilla 2 widget in the
- Qt5 UI Designer.
- .
- This is a dummy transitional package provided to support upgrades.
-
 Package: libqscintilla2-qt5-dev
 Section: libdevel
 Architecture: any
@@ -116,11 +103,10 @@
 Package: python3-pyqt5.qsci
 Section: python
 Architecture: any
-Depends: python3-pyqt5,
+Depends: python3-pyqt5 (>= 5.15.0+dfsg-1+exp1~),
          ${misc:Depends},
          ${python3:Depends},
-         ${shlibs:Depends},
-         ${sip3:Depends}
+         ${shlibs:Depends}
 Description: Python 3 bindings for QScintilla 2 with Qt 5
  QScintilla is a text editor for Qt5 with features especially useful when
  writing and debugging source code. These include support for syntax
@@ -129,9 +115,25 @@
  This package contains Python 3 bindings so QScintilla 2 can be used in
  PyQt5 applications.
 
+Package: python3-pyqt5.qsci-dbg
+Section: debug
+Architecture: any
+Depends: python3-pyqt5-dbg (>= 5.15.0+dfsg-1+exp1~),
+         python3-pyqt5.qsci (= ${binary:Version}),
+         ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends}
+Description: Python 3 bindings for QScintilla 2 (debug extension)
+ QScintilla is a text editor for Qt5 with features especially useful when
+ writing and debugging source code. These include support for syntax
+ styling, error indicators, code completion, call tips and margins.
+ .
+ This package contains the extension built for the Python 3 debug
+ interpreter.
+
 Package: pyqt5.qsci-dev
 Architecture: all
-Depends: pyqt5-dev, python3-sip-dev, ${misc:Depends}
+Depends: pyqt5-dev (>= 5.15.0+dfsg-1+exp1~), ${misc:Depends}
 Description: Development files for Python Qscintilla2 (Qt5)
  This package contains the source SIP files from which the Python bindings for
  Qscintilla2 (Qt5) are created. They are needed for building PyQt5 bindindgs
