=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
https://www.riverbankcomputing.com/software/qscintilla/download \
 https://www.riverbankcomputing.com/static/Downloads/QScintilla/[\d.]+/QScintilla(?:_gpl)?-([\d.]+)\.tar\.gz
